%global __requires_exclude ^perl\\(Locale::Codes::Country_Retired\\)|^perl\\(Locale::Codes::LangFam_Retired\\)|^perl\\(Locale::Codes::Script_Retired\\)|^perl\\(Locale::Codes::LangExt_Codes\\)|^perl\\(Locale::Codes::LangFam_Codes\\)|^perl\\(Locale::Codes::Script_Codes\\)|^perl\\(Locale::Codes::Language_Codes\\)|^perl\\(Locale::Codes::LangExt_Retired\\)|^perl\\(Locale::Codes::Currency_Codes\\)|^perl\\(Locale::Codes::LangVar_Retired\\)|^perl\\(Locale::Codes::Language_Retired\\)|^perl\\(Locale::Codes::Country_Codes\\)|^perl\\(Locale::Codes::LangVar_Codes\\)|^perl\\(Locale::Codes::Currency_Retired\\)|^perl\\(do_tests\\.pl\\)|^perl\\(Test::Inter\\)$

Summary:        Distribution of modules to handle locale codes
Name:           perl-Locale-Codes
Version:        3.71
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Locale-Codes
Source0:        https://cpan.metacpan.org/authors/id/S/SB/SBECK/Locale-Codes-%{version}.tar.gz

BuildRequires:  make coreutils
BuildRequires:  perl-generators perl-interpreter perl(strict)
BuildRequires:  perl(warnings) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Carp) perl(deprecate) perl(Exporter)
BuildRequires:  perl(if) perl(utf8) perl(:VERSION) >= 5.6
BuildRequires:  perl(Test::Inter) >= 1.09
Requires:       perl(deprecate)

BuildArch:      noarch

%description
This package is a distribution that contains a set of modules.Each module 
processes different types of codes that identify parts of the locale, including
languages, countries, currency, etc.

%prep
%autosetup -n Locale-Codes-%{version}
chmod -x examples/*
chmod +x t/*.pl
rm t/_*
perl -i -lne 'print $_ unless m{\At/_}' MANIFEST
rm t/runtests t/runtests.bat
perl -i -lne 'print $_ unless m{\At/runtests}' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
export HARNESS_OPTIONS=j%{_smp_build_ncpus}
make test

%files
%license LICENSE
%doc Changes examples README README.first
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.71-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.71-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.71-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.71-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 11 2022 Wang Guodong <gordonwwang@tencent.com> - 3.71-1
- package init.
